# Class GenerateFiltersFileTask

java.lang.Object
org.gradle.api.internal.AbstractTask
org.gradle.api.DefaultTask
org.gradle.api.internal.ConventionTask
org.gradle.plugins.ide.api.GeneratorTask<org.gradle.ide.visualstudio.tasks.internal.VisualStudioFiltersFile>
org.gradle.plugins.ide.api.XmlGeneratorTask<org.gradle.ide.visualstudio.tasks.internal.VisualStudioFiltersFile>
org.gradle.ide.visualstudio.tasks.GenerateFiltersFileTask

All Implemented Interfaces:
  `Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, Named, ExtensionAware, Task, Configurable<Task>`

@Incubating @DisableCachingByDefault(because="Not made cacheable, yet") public abstract class GenerateFiltersFileTask extends XmlGeneratorTask<org.gradle.ide.visualstudio.tasks.internal.VisualStudioFiltersFile>
Task for generating a Visual Studio filters file (e.g. `foo.vcxproj.filters`).

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `protected static class`
  `GenerateFiltersFileTask.FiltersSpec`
  The data to use to generate the filters file.

  ### Nested classes/interfaces inherited from interface Named

  `Named.Namer`

- ## Field Summary

  ### Fields inherited from class GeneratorTask

  `afterConfigured, beforeConfigured, domainObject, generator`

  ### Fields inherited from interface Task

  `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GenerateFiltersFileTask(org.gradle.ide.visualstudio.internal.DefaultVisualStudioProject visualStudioProject)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `configure(org.gradle.ide.visualstudio.tasks.internal.VisualStudioFiltersFile filtersFile)`
  `protected org.gradle.ide.visualstudio.tasks.internal.VisualStudioFiltersFile`
  `create()`
  `protected GenerateFiltersFileTask.FiltersSpec`
  `getFilterSpec()`
  Returns the `GenerateFiltersFileTask.FiltersSpec` for this task.
  `protected boolean`
  `getIncremental()`
  Whether this generator task can be treated as an incremental task or not
  `File`
  `getInputFile()`
  The input file to load the initial configuration from.
  `File`
  `getOutputFile()`
  The output file to write the final configuration to.
  `VisualStudioProject`
  `getVisualStudioProject()`
  `void`
  `setVisualStudioProject(VisualStudioProject vsProject)`

  ### Methods inherited from class XmlGeneratorTask

  `getXmlTransformer`

  ### Methods inherited from class GeneratorTask

  `generate, getInputFileIfExists, getInstantiator, setInputFile, setOutputFile`

  ### Methods inherited from class org.gradle.api.internal.ConventionTask

  `conventionMapping, conventionMapping, getConventionMapping`

  ### Methods inherited from class DefaultTask

  `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

  ### Methods inherited from class org.gradle.api.internal.AbstractTask

  `acceptServiceReferences, appendParallelSafeAction, doNotTrackState, doNotTrackStateIf, getAsDynamicObject, getIdentityPath, getImpliesSubProjects, getLifecycleDependencies, getOnlyIf, getReasonNotToTrackState, getReasonsNotToTrackState, getReasonTaskIsIncompatibleWithConfigurationCache, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isCompatibleWithConfigurationCache, isEnabled, isHasCustomActions, notCompatibleWithConfigurationCache, prependParallelSafeAction, restoreOnlyIf, restoreTaskActions, setImpliesSubProjects`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface Task

  `doNotTrackState, notCompatibleWithConfigurationCache`

- ## Constructor Details

  - ### GenerateFiltersFileTask

    @Inject public GenerateFiltersFileTask(org.gradle.ide.visualstudio.internal.DefaultVisualStudioProject visualStudioProject)

- ## Method Details

  - ### getIncremental

    protected boolean getIncremental()
    Description copied from class: `GeneratorTask`
    Whether this generator task can be treated as an incremental task or not
    Overrides:
      `getIncremental` in class `GeneratorTask<org.gradle.ide.visualstudio.tasks.internal.VisualStudioFiltersFile>`

  - ### setVisualStudioProject

    public void setVisualStudioProject(VisualStudioProject vsProject)

  - ### getVisualStudioProject

    @Internal public VisualStudioProject getVisualStudioProject()

  - ### getFilterSpec

    @Incubating protected GenerateFiltersFileTask.FiltersSpec getFilterSpec()
    Returns the `GenerateFiltersFileTask.FiltersSpec` for this task.
    Since:
      8.11

  - ### getInputFile

    public File getInputFile()
    Description copied from class: `GeneratorTask`
    The input file to load the initial configuration from. Defaults to the output file. If the specified input file does not exist, this task uses some default initial configuration.
    Overrides:
      `getInputFile` in class `GeneratorTask<org.gradle.ide.visualstudio.tasks.internal.VisualStudioFiltersFile>`
    Returns:
      The input file.

  - ### getOutputFile

    public File getOutputFile()
    Description copied from class: `GeneratorTask`
    The output file to write the final configuration to.
    Overrides:
      `getOutputFile` in class `GeneratorTask<org.gradle.ide.visualstudio.tasks.internal.VisualStudioFiltersFile>`
    Returns:
      The output file.

  - ### configure

    protected void configure(org.gradle.ide.visualstudio.tasks.internal.VisualStudioFiltersFile filtersFile)
    Specified by:
      `configure` in class `XmlGeneratorTask<org.gradle.ide.visualstudio.tasks.internal.VisualStudioFiltersFile>`

  - ### create

    protected org.gradle.ide.visualstudio.tasks.internal.VisualStudioFiltersFile create()
    Specified by:
      `create` in class `XmlGeneratorTask<org.gradle.ide.visualstudio.tasks.internal.VisualStudioFiltersFile>`